import java.awt.*;
class Main extends Frame {
    Checkbox cb = new Checkbox("Checkbox");
    TextField tf = new TextField(40);

    Main() {
        super("setLabel Example");
        add("Center", new Canvas());
        add("West", cb);
        add("South", tf);
        tf.setText(cb.getLabel());       //init with current label
        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        if (evt.target == tf) {
            cb.setLabel(tf.getText());

	    //the size has changed so the parent must be invalidated
	    //and re-laid out.
            cb.getParent().invalidate();
            cb.getParent().validate();
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}
