import java.awt.*;
class Main extends Frame implements Runnable {
    Color[] colors = {Color.black, Color.blue, Color.cyan, 
        Color.darkGray, Color.gray, Color.green, Color.lightGray, 
        Color.magenta, Color.orange, Color.pink, Color.red, 
        Color.white, Color.yellow};

    Main() {
        super("Color Example");
        resize(200, 200);
        show();
        (new Thread(this)).start();
    }

    int random(int r) {
        return (int)Math.floor(Math.random() * r);
    }

    public void update(Graphics g) {
        g.setColor(colors[random(colors.length)]);
        g.fillOval(random(size().width), random(size().height), 10, 10);
    }

    public void run() {
        while (true) {
            repaint();
            try {
                Thread.sleep(16);
            } catch (Exception e) {
            }
        }
    }

    public static void main(String[] args) {
        new Main();
    }
}
