import java.awt.*;
class Main extends Frame {
    Main() {
        super("validate Example");

        add("North", new Button("Validate"));
        add("Center", makePanel("East", 
            makePanel("South", 
            makePanel("West",
            makePanel(null, null)))));
        resize(300, 300);
        show();
    }

    Panel makePanel(String name, Component c) {
        Panel p = new Panel();
        
        p.setLayout(new BorderLayout());
        p.add("North", new Button("North"));
        p.add("South", new Button("South"));
        p.add("West", new Button("West"));
        p.add("East", new Button("East"));
        if (name != null) {
            p.add(name, c);
        }
        return p;
    }

    public boolean action(Event evt, Object arg) {
        if ("Validate".equals(arg)) {
            validate();    
        } else {
            Font f = ((Component)evt.target).getFont();
            
            f = new Font(f.getFamily(), f.getStyle(), f.getSize()+1);
            ((Component)evt.target).setFont(f);
            ((Component)evt.target).invalidate();
        }
        return true;
    }

    static public void main(String[] args) {
        new Main();
    }
}
