import java.awt.*;
class Main extends Frame {
    MainCanvas cv = new MainCanvas();
    Choice choice = new Choice();

    Main() {
        super("drawString Example");
        
        for (int i=4; i<60; i += 4) {
            choice.addItem(""+i);
        }
        choice.select(0);
        cv.setFontSize(4);
        cv.resize(300, 100);
        add("Center", cv);
        add("South", choice);
        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        if (evt.target ==  choice) {
            cv.setFontSize(Integer.parseInt((String)what));
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}

class MainCanvas extends Canvas {
    void setFontSize(int size) {
        Font f = getFont();

        if (f == null) {
            f = new Font("TimesRoman", Font.PLAIN, size);
        } else {
            f = new Font(getFont().getName(), getFont().getStyle(), size);
        }
        setFont(f);
        repaint();
    }

    public void paint(Graphics g) {
        String s = "AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz";
        FontMetrics fontM = g.getFontMetrics();

        g.setColor(Color.white);
        g.fillRect(0, 0, fontM.stringWidth(s), fontM.getHeight());
        g.setColor(Color.black);
        g.drawString(s, 0, fontM.getAscent());
    }
}
