import java.awt.*;
class Main extends Frame {
    String[] alignLabels = {"LEFT", "CENTER", "RIGHT"};
    int[] alignValues = {Label.LEFT, Label.CENTER, Label.RIGHT};
    Label l = new Label("CENTER", Label.CENTER);

    Main() {
        super("setAlignment Example");
        CheckboxGroup cg = new CheckboxGroup();
        Panel p = new Panel();

        p.setLayout(new GridLayout(3, 0));
        for (int i=0; i<alignLabels.length; i++) {
            p.add(new Checkbox(alignLabels[i], cg, 
                l.getAlignment() == alignValues[i]));
        }
        add("South", p);
        add("Center", l);
        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        if (evt.target instanceof Checkbox) {
            Checkbox cb = (Checkbox)evt.target;

            for (int i=0; i<alignLabels.length; i++) {
                if (alignLabels[i].equals(cb.getLabel())) {
                    l.setAlignment(alignValues[i]);
                    l.setText(alignLabels[i]);
                    return true;
                }
            }
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}

