import java.awt.*;
import java.applet.*;
public class Main extends Applet {
    MyWindow w;

    public void init() {        
        // Find the applet's frame.
        Component f = getParent();
        while (f != null && !(f instanceof Frame)) {
            f = f.getParent();
        }

        w = new MyWindow((Frame)f);
        w.reshape(0, 0, 150, 150);
        w.show();
    }

    public void start() {
        w.show();
    }

    public void stop() {
        w.hide();
    }
            
    public void destroy() {
        if (w != null) {
            w.dispose();
            w = null;
        }
    }
}

class MyWindow extends Window {
    MyWindow(Frame frame) {
        super(frame);
    }

    public void paint(Graphics g) {
        FontMetrics fm = g.getFontMetrics();
        String s = getWarningString();
        int w = size().width - insets().left - insets().right;
        int h = size().height - insets().top - insets().bottom;

        if (s != null) {
            g.drawString(s, (w-fm.stringWidth(s))/2,
                (h-fm.getHeight())/2 + fm.getAscent());
        }
    }

    public boolean mouseDown(Event evt, int x, int y) {
        hide();
        return true;
    }
}
