import java.awt.*;
class Main extends Frame {
    TextField tf = new TextField();
    TextField tfEcho = new TextField();

    Main() {
        super("setEchoCharacter Example");
        Panel p = new Panel();

        p.setLayout(new BorderLayout());
        p.add("West", new Label("Echo Character:"));
        p.add("Center", tfEcho);
        add("South", p);
        add("North", tf);
        pack();
        show();
    }

    public boolean keyDown(Event evt, int key) {
        if (evt.target == tfEcho) {
            if (key == tf.getEchoChar()) {    // clear the echo char
                key = 0;
                tfEcho.setText("");
            } else {
                tfEcho.setText(String.valueOf((char)key));
            }
            tf.setEchoCharacter((char)key);
            tf.requestFocus();
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}
