import java.util.Vector;
import java.util.Enumeration;
import java.io.*;

class Main {
// reads in a file of lines and writes the lines out in reverse order
public static void main (String[] args) {
    if (args.length != 2) {
        System.err.println("Usage: Main inputfile outputfile");
        System.exit(1);
    }
    try {
        DataInputStream in = 
            new DataInputStream(new FileInputStream(args[0]));
        DataOutputStream out = 
            new DataOutputStream(new FileOutputStream(args[1]));
        Vector buf = new Vector(100);
        String str;

        while ((str = in.readLine()) != null)
            buf.addElement(str);
        in.close();

        for (int i = buf.size()-1; i >=0; i--) {
            out.writeBytes((String)buf.elementAt(i));
            out.writeByte('\n');
        }
        out.close();
    } catch (IOException e) {
        e.printStackTrace();
    } 
}
}
